Page MenuHomeMiraheze

The website won't remember options I set, such as syntax highlighting or RC saved filters
Closed, ResolvedPublic

Description

Title says it all. It happens to me on https://nonciclopedia.org but I can't confirm it happens to other users. Deleting cookies didn't help.

Event Timeline

Wedhro created this task.Sep 7 2019, 10:10

Noticed as well on meta. Even if you use saved filters, the save doesn't persist

RhinosF1 triaged this task as Normal priority.Sep 7 2019, 13:27

Does this problem still occur? @RhinosF1 @Wedhro

Wedhro added a comment.Nov 12 2019, 15:16

@Hispano76 Unfortunately it does. I just tried editing a page, setting syntax highlighting on, and then editing another page: the highlighting was off.

Wedhro added a comment.Dec 16 2019, 20:42

As of late the problem disappeared (still kind of slow at loading the interface) but, perhaps it's totally unrelated, links autocomplete while editing stopped working pretty much at the same time.

Yes, you already know the issue @RhinosF1. The issue was due to GlobalPreferences which we deployed a fix and since then the api has been working.

It seems to work in commons.miraheze.org

RhinosF1 closed this task as Resolved.Dec 18 2019, 07:34

Yes, you already know the issue @RhinosF1. The issue was due to GlobalPreferences which we deployed a fix and since then the api has been working.